Get Project Custom Field Values

Prev Next
Get
/api/v1/Authoring/projects/{projectId}/custom-fields

Returns a list of custom field values for a specified project

Security
API Key: x-val-api-token
Header parameter namex-val-api-token

API key needed to access endpoints. Each Validatar user can manage their own set of API keys.

Path parameters
projectId
integer (int32) Required

Id of the project being searched for custom field values

Responses
200

OK

Expand All
object
values
Array of object (Configuration.Api.Models.v1.CustomFieldValue) | null

List of custom field values

object
customFieldId
integer (int32)

The ID of the custom field

name
string | null

The name of the custom field

value
string | null

The value of the custom field

values
Array of string | null

The list of values if the custom field contains more than one value

string
lastModified
string (date-time)

When the custom field was last modified

lastModifiedBy
string | null

Who the custom field was last modified by

isCertified
boolean

Whether the custom field value is certified

source
string | null

How the custom field value was populated

versionNumber
integer (int32)

Version number of the custom field value

400

Bad Request

object
error
string | null
401

Unauthorized

object
error
string | null
404

Not Found

object
error
string | null